<ui:composition
        xmlns:s="http://jboss.org/schema/seam/taglib"
        xmlns:a4j="http://richfaces.org/a4j"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns="http://www.w3.org/1999/xhtml">
    <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
        <ui:param name="popup_id" value="delete_conf"/>
        <ui:define name="popup_title">#{messages['gazelle.simu.ConfirmDeletion']}</ui:define>
        <s:div id="delete_confContent">
            <h:outputText
                    value="#{messages['gazelle.simu.YouAreAboutToDeleteTheConfigurationWithName']} #{confman.selectedSystemConfiguration.name}, #{messages['gazelle.simu.AreYouSure']}"/>
        </s:div>
        <ui:define name="popup_footer">
            <h:form id="formuuid">
                <a4j:commandButton value="#{messages['gazelle.simu.Confirm']}" styleClass="gzl-btn-red"
                                   actionListener="#{confman.deleteSelectedSystemConfiguration()}"
                                   onclick="jq162('#delete_conf').modal('hide');"
                                   render="configTable" execute="@this"/>
                <a4j:commandButton value="#{messages['users.Cancel']}" styleClass="gzl-btn"
                                   onclick="jq162('#delete_conf').modal('hide');"
                                   actionListener="#{confman.displayAllConfigurations()}"
                                   execute="@this"/>
            </h:form>
        </ui:define>
    </ui:decorate>
</ui:composition>
